# TMR_ReadPlan Struct Reference
[Read plans]

`#include <tmr_read_plan.h>`

List of all members.

## Public Attributes

TMR_ReadPlanType | type
uint32_t | weight
bool | enableAutonomousRead
TMR_SimpleReadPlan | simple
TMR_MultiReadPlan | multi

## Detailed Description

A ReadPlan structure specifies the antennas, protocols, and filters to use for a search (read).

## Member Data Documentation

bool TMR_ReadPlan::enableAutonomousRead

Option for Autonomous read

TMR_MultiReadPlan TMR_ReadPlan::multi

MultiReadPlan contents

TMR_SimpleReadPlan TMR_ReadPlan::simple

SimpleReadPlan contents

TMR_ReadPlanType TMR_ReadPlan::type

The type of the read plan and the type of the union that is populated

uint32_t TMR_ReadPlan::weight

The relative weight of this read plan

The documentation for this struct was generated from the following file:

- tmr_read_plan.h